%define	pkgname	firedns
Name:		libfiredns0_9
Version:	0.9.12
Release:	1.2
Url:		http://www.firestuff.org
License:	GPL
Source0:	%{pkgname}-%{version}.tar.bz2
Summary:	Asynchronous DNS library
Group:		System
BuildRoot:	%{_tmppath}/%{pkgname}-%{version}-root

%description
Libfiredns is a library for handling asynchronous DNS
requests.  It provides a very simple interface for sending
requests and parsing reponses, as well as low-timeout
blocking functions.  libfiredns functions have much lower
timeouts than the stock functions and tend to be faster
because they send requests to all configured system
nameservers at the same time.

%package -n %{pkgname}
Group:		System
Summary:	FireDNS tools
Requires:	libfiredns0_9

%description -n %{pkgname}
Tools package for FireDNS.

%package -n %{pkgname}-devel
Group:          Development/Languages/C and C++
Summary:        FireDNS development files
Requires:	libfiredns0_9

%description -n %{pkgname}-devel
Development files for %{pkgname}

%prep
%setup -n %{pkgname}

%build
%configure

%__make PREFIX=%{buildroot}/%{_prefix} LIBDIR=%{buildroot}/%{_libdir} MANDIR=%{buildroot}%{_datadir}/man

%install
%__make PREFIX=%{buildroot}/%{_prefix} LIBDIR=%{buildroot}/%{_libdir} MANDIR=%{buildroot}%{_datadir}/man  install
chmod -x %{buildroot}/%{_libdir}/libfiredns.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libfiredns.so.0.9.12

%files -n %{pkgname}
%defattr(-,root,root)
%{_bindir}/fdnscname
%{_bindir}/fdnsip
%{_bindir}/fdnsip6
%{_bindir}/fdnsip6list
%{_bindir}/fdnsiplist
%{_bindir}/fdnsmx
%{_bindir}/fdnsmxalist
%{_bindir}/fdnsmxlist
%{_bindir}/fdnsname
%{_bindir}/fdnsnamep
%{_bindir}/fdnsspf1
%{_bindir}/fdnstxt
%{_bindir}/fdnstxtlist
%{_mandir}/man1/fdnscname.1.gz
%{_mandir}/man1/fdnsip.1.gz
%{_mandir}/man1/fdnsip6.1.gz
%{_mandir}/man1/fdnsip6list.1.gz
%{_mandir}/man1/fdnsiplist.1.gz
%{_mandir}/man1/fdnsmx.1.gz
%{_mandir}/man1/fdnsmxalist.1.gz
%{_mandir}/man1/fdnsmxlist.1.gz
%{_mandir}/man1/fdnsname.1.gz
%{_mandir}/man1/fdnsnamep.1.gz
%{_mandir}/man1/fdnsspf1.1.gz
%{_mandir}/man1/fdnstxt.1.gz
%{_mandir}/man1/fdnstxtlist.1.gz
%{_mandir}/man3/firedns_aton4.3.gz
%{_mandir}/man3/firedns_aton6.3.gz
%{_mandir}/man3/firedns_dnsbl_lookup.3.gz
%{_mandir}/man3/firedns_free_mxalist.3.gz
%{_mandir}/man3/firedns_getcname.3.gz
%{_mandir}/man3/firedns_getip4.3.gz
%{_mandir}/man3/firedns_getip4list.3.gz
%{_mandir}/man3/firedns_getip6.3.gz
%{_mandir}/man3/firedns_getip6list.3.gz
%{_mandir}/man3/firedns_getmx.3.gz
%{_mandir}/man3/firedns_getmxlist.3.gz
%{_mandir}/man3/firedns_getname4.3.gz
%{_mandir}/man3/firedns_getname6.3.gz
%{_mandir}/man3/firedns_getresult.3.gz
%{_mandir}/man3/firedns_gettxt.3.gz
%{_mandir}/man3/firedns_gettxtlist.3.gz
%{_mandir}/man3/firedns_ntoa4.3.gz
%{_mandir}/man3/firedns_ntoa6.3.gz
%{_mandir}/man3/firedns_resolvecname.3.gz
%{_mandir}/man3/firedns_resolveip4.3.gz
%{_mandir}/man3/firedns_resolveip4list.3.gz
%{_mandir}/man3/firedns_resolveip6.3.gz
%{_mandir}/man3/firedns_resolveip6list.3.gz
%{_mandir}/man3/firedns_resolvemx.3.gz
%{_mandir}/man3/firedns_resolvemxalist.3.gz
%{_mandir}/man3/firedns_resolvemxlist.3.gz
%{_mandir}/man3/firedns_resolvename4.3.gz
%{_mandir}/man3/firedns_resolvename6.3.gz
%{_mandir}/man3/firedns_resolvetxt.3.gz
%{_mandir}/man3/firedns_resolvetxtlist.3.gz
%{_mandir}/man3/libfiredns.3.gz

%files -n %{pkgname}-devel
%defattr(-,root,root)
%{_includedir}/firedns.h
%{_libdir}/libfiredns.a
%{_libdir}/libfiredns.so
%{_libdir}/libfiredns.so.0.9

%changelog
* Sun Jul 11 2010 Carsten Schoene <cs@linux-administrator.com> - 0.9.12-1
- initial package
